ChangeSet 1.1595.8.5, 2003/07/29 22:23:53-07:00, bellucda@tiscali.it

[PATCH] USB: Audit usb_register() in drivers/usb/input/usbkbd.c


 drivers/usb/input/usbkbd.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/input/usbkbd.c b/drivers/usb/input/usbkbd.c
--- a/drivers/usb/input/usbkbd.c	Fri Aug  1 10:56:30 2003
+++ b/drivers/usb/input/usbkbd.c	Fri Aug  1 10:56:30 2003
@@ -366,9 +366,10 @@
 
 static int __init usb_kbd_init(void)
 {
-	usb_register(&usb_kbd_driver);
-	info(DRIVER_VERSION ":" DRIVER_DESC);
-	return 0;
+	int result = usb_register(&usb_kbd_driver);
+	if (result == 0)
+		info(DRIVER_VERSION ":" DRIVER_DESC);
+	return result;
 }
 
 static void __exit usb_kbd_exit(void)
